Package org.apache.catalina.authenticator.jaspic

## Class PersistentProviderRegistrations.Providers

- java.lang.Object
- - org.apache.catalina.authenticator.jaspic.PersistentProviderRegistrations.Providers

- Enclosing class:
    PersistentProviderRegistrations

      public static class PersistentProviderRegistrations.Providers
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Providers()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addProvider​(PersistentProviderRegistrations.Provider provider)` |
    `java.util.List<PersistentProviderRegistrations.Provider>` | `getProviders()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Providers

          public Providers()

  - ### Method Detail

    - #### addProvider

          public void addProvider​(PersistentProviderRegistrations.Provider provider)

    - #### getProviders

          public java.util.List<PersistentProviderRegistrations.Provider> getProviders()